////////////////////////////////////////////////////////////////////// 
// mach2dat/LogisticRegression.h 
// (c) 2008 Yun Li
// 
// March 15, 2008
//
 
#ifndef __LOGISTIC_REGRESSION_H__
#define __LOGISTIC_REGRESSION_H__

#include "MathMatrix.h"
#include "StringHash.h"
#include "StringArray.h"

class Pedigree;

class LogisticRegression
   {
   public:
	   LogisticRegression();
	   ~LogisticRegression();

      bool FitLogisticModel(Matrix & X, Vector & y, int rnrounds); // return false if not converging
	  double GetDeviance(Matrix & X, Vector & y);

      Vector B; // coefficient vector
	  Matrix covB; // coefficient covariance matrix
   };

#endif


 
